Package: osmosis
Version: 0.34+ds1-1
Severity: minor

After upgrading osmosis I get output like this from cron jobs using it:
    
    log4j:WARN No appenders could be found for logger 
(org.java.plugin.ObjectFactory).
    log4j:WARN Please initialize the log4j system properly.
    log4j:WARN No appenders could be found for logger 
(org.java.plugin.ObjectFactory).
    log4j:WARN Please initialize the log4j system properly.
    log4j:WARN No appenders could be found for logger 
(org.java.plugin.ObjectFactory).
    log4j:WARN Please initialize the log4j system properly.
    log4j:WARN No appenders could be found for logger 
(org.java.plugin.ObjectFactory).
    log4j:WARN Please initialize the log4j system properly.

Steps to reproduce:

    wget http://osm.nix.is/latest/Iceland.osm.bz2
    $ osmosis --read-xml Iceland.osm.bz2 --write-xml /dev/null
    Apr 26, 2010 8:57:06 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Osmosis Version 0.34
    log4j:WARN No appenders could be found for logger 
(org.java.plugin.ObjectFactory).
    log4j:WARN Please initialize the log4j system properly.
    Apr 26, 2010 8:57:07 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Preparing pipeline.
    Apr 26, 2010 8:57:07 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Launching pipeline execution.
    Apr 26, 2010 8:57:07 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Pipeline executing, waiting for completion.
    Apr 26, 2010 8:57:29 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Pipeline complete.
    Apr 26, 2010 8:57:29 AM org.openstreetmap.osmosis.core.Osmosis run
    INFO: Total execution time: 22474 milliseconds.

Suggested fix: define a log4j logger when the package is installed.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (800, 'unstable'), (700, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-x86_64-linode11 (SMP w/4 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages osmosis depends on:
ii  ant                       1.8.0-3        Java based build tool like make
ii  libcommons-codec-java     1.4-2          encoder and decoders such as Base6
ii  libcommons-compress-java  1.0-1          Java API for working with tar, zip
ii  libcommons-dbcp-java      1.4-1          Database Connection Pooling Servic
ii  libjpf-java               1.5.1+dfsg-1   Java Plugin Framework: plug-in inf
ii  libmysql-java             5.1.10+dfsg-2  Java database (JDBC) driver for My
ii  libpg-java                8.4-701-1      Java database (JDBC) driver for Po
ii  libplexus-classworlds-jav 1.5.0-2        Class loading utilities for the Pl
ii  libpostgis-java           1.4.0-2        geographic objects support for Pos
ii  libspring-beans-2.5-java  2.5.6.SEC01-8  modular Java/J2EE application fram
ii  libspring-jdbc-2.5-java   2.5.6.SEC01-8  modular Java/J2EE application fram
ii  libspring-tx-2.5-java     2.5.6.SEC01-8  modular Java/J2EE application fram
ii  libwoodstox-java          1:3.9.2.dfsg-1 a high-performance XML processor
ii  sun-java6-jre [java6-runt 6-16-1         Sun Java(TM) Runtime Environment (

osmosis recommends no packages.

osmosis suggests no packages.

-- no debconf information



_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to